package net.roseindia;

import java.util.Iterator;
import java.util.List;

import org.hibernate.Criteria;
import org.hibernate.Session;
import org.hibernate.SessionFactory;
import javax.persistence.criteria.CriteriaQuery;
import net.roseindia.model.*;

/**
 * @author Deepak Kumar Web: http://www.roseindia.net
 */
public class GetAllData {
	public static void main(String[] args) throws Exception {

		SessionFactory sessFact = HibernateUtil.getSessionFactory();
		Session session = sessFact.getCurrentSession();
		org.hibernate.Transaction tr = session.beginTransaction();

		
		CriteriaQuery<Article> cq = session.getCriteriaBuilder().createQuery(Article.class);
		cq.from(Article.class);
		List<Article> articleList = session.createQuery(cq).getResultList();

		for (Article article : articleList) {
			System.out.println("Title: " + article.getTitle());
			System.out.println("Content: " + article.getContent());
		}  
		

		tr.commit();
		System.out.println("Data printed");
		sessFact.close();
	}
}